Subject: Re: [TEST] amt.sh flaking

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Jan 2026 18:45:17 -0800

On Wed, 14 Jan 2026 20:55:29 +0900 Taehee Yoo wrote:
> > > TAP version 13
> > > 1..1
> > > # timeout set to 3600
> > > # selftests: net: amt.sh
> > > # 0.26 [+0.26] TEST: amt discovery                                                 [ OK ]
> > > # 15.27 [+15.01] 2026/01/05 19:33:27 socat[4075] W exiting on signal 15
> > > # 15.28 [+0.01] TEST: IPv4 amt multicast forwarding                                 [FAIL]
> > > # 17.30 [+2.02] TEST: IPv6 amt multicast forwarding                                 [ OK ]
> > > # 17.30 [+0.00] TEST: IPv4 amt traffic forwarding torture               ..........  [ OK ]
> > > # 19.48 [+2.18] TEST: IPv6 amt traffic forwarding torture               ..........  [ OK ]
> > > # 26.71 [+7.22] Some tests failed.
> > > not ok 1 selftests: net: amt.sh # exit=1
> > >
> > > FWIW the new setup is based on Fedora 43 with:
> 
> Hi Jakub, Sorry for the late reply.
> 
> The root cause is that the source sends packets before the connection
> between the gateway and the relay is established. At that moment,
> packets cannot reach the listener.
> To fix this issue, the source needs to wait until the connection is
> established. However, the current AMT module does not notify its
> status to userspace. As a temporary workaround, I will send a patch
> that adds a 5-second sleep just before “IPv4 AMT multicast forwarding.”
> After that, I will work on adding status notifications to the AMT module
> and to iproute2.

Sounds great. I don't think that a single sleep 5 in this test would 
be a big deal but of course having a notification is better if you have
cycles to implement that. Thanks for looking into it!